# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /tmp/build/80754af9/combined_recipe, last modified Sat Feb 13 20:48:37 2021
# ------------------------------------------------

package:
  name: blosc
  version: 1.21.0
source:
  sha256: b0ef4fda82a1d9cbd11e0f4b9685abf14372db51703c595ecd4d76001a8b342d
  url: https://github.com/Blosc/c-blosc/archive/v1.21.0.tar.gz
build:
  number: '0'
  run_exports:
    - blosc >=1.21.0,<2.0a0
  string: h8c45485_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - binutils_impl_linux-64 2.33.1 he6710b0_7
    - binutils_linux-64 2.33.1 h9595d00_15
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2021.1.19 h06a4308_0
    - cmake 3.19.4 h973ab73_0
    - expat 2.2.10 he6710b0_2
    - gcc_impl_linux-64 7.3.0 habb00fd_1
    - gcc_linux-64 7.3.0 h553295d_15
    - gxx_impl_linux-64 7.3.0 hdf63c60_1
    - gxx_linux-64 7.3.0 h553295d_15
    - krb5 1.18.2 h173b8e3_0
    - ld_impl_linux-64 2.33.1 h53a641e_7
    - libcurl 7.71.1 h20c2e04_1
    - libedit 3.1.20191231 h14c3975_1
    - libgcc-ng 9.1.0 hdf63c60_0
    - libssh2 1.9.0 h1ba5d50_1
    - libstdcxx-ng 9.1.0 hdf63c60_0
    - libuv 1.40.0 h7b6447c_0
    - lz4-c 1.9.3 h2531618_0
    - make 4.2.1 h1bed415_1
    - ncurses 6.2 he6710b0_1
    - openssl 1.1.1i h27cfd23_0
    - rhash 1.4.1 h3c74f83_1
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7b6447c_3
    - zstd 1.4.5 h9ceee32_0
  host:
    - _libgcc_mutex 0.1 main
    - libgcc-ng 9.1.0 hdf63c60_0
    - libstdcxx-ng 9.1.0 hdf63c60_0
    - lz4-c 1.9.3 h2531618_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7b6447c_3
    - zstd 1.4.5 h9ceee32_0
  run:
    - libgcc-ng >=7.3.0
    - libstdcxx-ng >=7.3.0
    - lz4-c >=1.9.3,<1.10.0a0
    - zlib >=1.2.11,<1.3.0a0
    - zstd >=1.4.5,<1.4.6.0a0
test:
  commands:
    - test -e $PREFIX/include/blosc.h
    - test -e $PREFIX/include/blosc-export.h
    - test -e $PREFIX/lib/libblosc.a
    - test -e $PREFIX/lib/libblosc${SHLIB_EXT}
about:
  home: https://github.com/Blosc/c-blosc
  license: BSD-3-Clause
  license_file: LICENSES/BLOSC.txt
  summary: A blocking, shuffling and loss-less compression library that can be faster
    than `memcpy()`
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - FrancescElies
    - beckermr
    - danielfrg
    - jakirkham
    - msarahan
